Last Comment Bug 697629 - nsToolkit "negative leak" on every run
: nsToolkit "negative leak" on every run
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: General (show other bugs)
: Trunk
: x86_64 Mac OS X
: -- major (vote)
: mozilla10
Assigned To: Neil Deakin
:
Mentors:
Depends on:
Blocks: 503879
  Show dependency treegraph
 
Reported: 2011-10-26 17:27 PDT by Jesse Ruderman
Modified: 2011-10-29 01:44 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (643 bytes, patch)
2011-10-26 18:47 PDT, Neil Deakin
no flags Details | Diff | Review

Description Jesse Ruderman 2011-10-26 17:27:11 PDT
1. https://ftp.mozilla.org/pub/mozilla.org/firefox/tinderbox-builds/mozilla-central-macosx64-debug/1319655607/ (built from e1ae143cc842)

2. mkdir ~/pz/

3. XPCOM_MEM_LEAK_LOG=2 NightlyDebug.app/Contents/MacOS/firefox -profile ~/pz/

4. Quit

Result: 18446744073709551615 (≡ -1) nsToolkit objects remain

How is it that Tinderbox is green with such a simple test failing?
Comment 1 Josh Matthews [:jdm] 2011-10-26 18:22:41 PDT
Bug 503879 took out the NS_COUNT_CTOR(nsToolkit) from nsToolkit::nsToolkit, but left in the corresponding NS_COUNT_DTOR.
Comment 2 Jesse Ruderman 2011-10-26 18:27:57 PDT
So if this isn't causing Tinderbox failures, does that mean nsToolkit *is* leaking on Tinderbox?
Comment 3 Neil Deakin 2011-10-26 18:47:51 PDT
Created attachment 569877 [details] [diff] [review]
patch

How odd. I saw that and thought I fixed it before checking in. It doesn't cause a leak -- it's just the counting that is off as it never increments when the toolkit is created, but decrements on delete, causing it to result in a count of -1.
Comment 4 Neil Deakin 2011-10-28 07:48:44 PDT
Checked in to inbound: https://hg.mozilla.org/integration/mozilla-inbound/rev/e0802a531ced
Comment 5 Marco Bonardo [::mak] 2011-10-29 01:44:41 PDT
https://hg.mozilla.org/mozilla-central/rev/e0802a531ced

Note You need to log in before you can comment on or make changes to this bug.